# Plane Image Plugin

This unofficial Talespire plugin allows adding textures planes to the board. These are ideal as maps for building Talespire content
and/or for adding textures to flat surfaces.

Video: https://youtu.be/mbp74o18TKM

Donate: http://lordashes.ca/TalespireDonate/Donate.php

## Changelog
```
1.6.8: Plane adjusts to aspect ratio of image or video when image/video is applied
1.6.7: Fixed compatibility with non systems not using Invariant Culture (foreign system support)
1.6.5: Planes are removed during a board change (to prevent them from being carried to other boards)
1.6.3: Fixed issue when using the plugin in Player mode
1.6.0: Fixed after BR update. 
1.5.3: Bug Fix. Plane asset can be found even on registering session
1.5.1: Bug fix. Added missing asset.
1.5.0: Changed plane to be read from an asset bundle with render mode set to Cutout
1.4.0: Added Rotate Mode
1.4.0: Added Video Support
1.3.1: Document update (no plugin change)
1.3.0: Initial release
```

## Install

Use R2ModMan to download the Symbiote from Thunderstore

## Usage

``F10``\* = Add New Plane (will prompt for image name)

``F11``\* = Retexture currently selected plane (will prompt for image name) 

``F1``\* = Cycle between existing planes (selected plane indicated at bottom of screen for about 3 seconds)

``F2``\* = Toggle Move mode\*\*

``F3``\* = Toggle Size mode\*\*

``F4``\* = Toggle Rotate mode\*\*

``DELETE``\* = Delete currently selected plane 


\* = Default key indicated. Keys can be changed in the plugin's configuration.

\*\* = While in Move or Size mode, game keys will not work. Toggle out of these modes to use game keys.

``Arrow Up``\*\*\* = (Move Mode) Move In Z Axis or (Size Mode) Scale Up Z or (Rotate Mode) Rotate Around X Axis

``Arrow Down``\*\*\* = (Move Mode) Move In -Z Axis or (Size Mode) Scale Down Z or (Rotate Mode) Rotate Around X Axis

``Arrow Left``\*\*\* = (Move Mode) Move In X Axis or (Size Mode) Scale Down X or (Rotate Mode) Rotate Around X Axis

``Arrow Right``\*\*\* = (Move Mode) Move In -X Axis or (Size Mode) Scale Up X or (Rotate Mode) Rotate Around X Axis

``Page Up``\*\*\* = (Move Mode) Move In Z Axis or (Size Mode) Scale Up X And Z or (Rotate Mode) Rotate Around Y Axis

``Page Down``\*\*\* = (Move Mode) Move In -Z Axis or (Size Mode) Scale Down X And Z or (Rotate Mode) Rotate Around Y Axis


\*\*\* = Hold ``LCTRL`` with these keys to use fast changes. You can also hold these combo to continue to make changes. 

## Features

\* Setup persists between sessions

\* Supports multiple planes

\* Supports in game movement (3 axis)

\* Supports in game sizing (2 axis)

\* Supports in game rotating (3 axis)

\* Supports efficient update (updates are sent when user stops making changes)

\* On screen display for currently selected plane (3 seconds only)

\* On screen display of selected plane, plane position and plane scale when in move or size mode

\* Supports cutouts in the texture
